Skip to main content
`Ctrl`+`K`

# PetscDSSelectDiscretizations

Copy discretizations to the new problem with different field layout

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSelectDiscretizations(PetscDS prob, PetscInt numFields, const PetscInt fields[], PetscInt minDegree, PetscInt maxDegree, PetscDS newprob)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- numFields - Number of new fields

- fields - Old field number for each new field

- minDegree - Minimum degree for a discretization, or `PETSC_DETERMINE` for no limit

- maxDegree - Maximum degree for a discretization, or `PETSC_DETERMINE` for no limit

## Output Parameter

- newprob - The `PetscDS` copy

## See Also

`PetscDS`, `PetscDSSelectEquations()`, `PetscDSCopyBoundary()`, `PetscDSSetResidual()`, `PetscDSSetJacobian()`, `PetscDSSetRiemannSolver()`, `PetscDSSetBdResidual()`, `PetscDSSetBdJacobian()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages